Subject: Re: [PATCH] powerpc: add `cur_cpu_spec` symbol to vmcoreinfo

From: Michael Ellerman <[email-masked]>
Date: Thu, 14 Sep 2023 23:22:01 +1000

Aditya Gupta <[email-masked]> writes:
> Presently, while reading a vmcore, makedumpfile uses
> `cur_cpu_spec.mmu_features` to decide whether the crashed system had
> RADIX MMU or not.
>
> Currently, makedumpfile fails to get the `cur_cpu_spec` symbol (unless
> a vmlinux is passed with the `-x` flag to makedumpfile), and hence
> assigns offsets and shifts (such as pgd_offset_l4) incorrecly considering
> MMU to be hash MMU.
>
> Add `cur_cpu_spec` symbol and offset of `mmu_features` in the
> `cpu_spec` struct, to VMCOREINFO, so that the symbol address and offset
> is accessible to makedumpfile, without needing the vmlinux file

This looks fine.

Seems like cpu_features would be needed or at least pretty useful too?

cheers